VTK: vtkGenericDataArrayLookupHelper< ArrayTypeT > Class Template Reference

| VTK 9.3.1

Public Types | Public Member Functions | List of all members
vtkGenericDataArrayLookupHelper< ArrayTypeT > Class Template Reference

internal class used by vtkGenericDataArray to support LookupValue. More...

`#include <vtkGenericDataArrayLookupHelper.h>`

Inheritance diagram for vtkGenericDataArrayLookupHelper< ArrayTypeT >:
[legend]

## Public Types
typedef ArrayTypeT | ArrayType
typedef ArrayType::ValueType | ValueType

## Public Member Functions
| vtkGenericDataArrayLookupHelper ()=default
| ~vtkGenericDataArrayLookupHelper ()
void | SetArray (ArrayTypeT *array)
vtkIdType | LookupValue (ValueType elem)
void | LookupValue (ValueType elem, vtkIdList *ids)
void | ClearLookup ()
| Release any allocated memory for internal data-structures. More...

## Detailed Description

### template<class ArrayTypeT>
class vtkGenericDataArrayLookupHelper< ArrayTypeT >

internal class used by vtkGenericDataArray to support LookupValue.

Definition at line 49 of file vtkGenericDataArrayLookupHelper.h.

## Member Typedef Documentation

## ◆ ArrayType

template<class ArrayTypeT >

typedef ArrayTypeT vtkGenericDataArrayLookupHelper< ArrayTypeT >::ArrayType

Definition at line 52 of file vtkGenericDataArrayLookupHelper.h.

## ◆ ValueType

template<class ArrayTypeT >

typedef ArrayType::ValueType vtkGenericDataArrayLookupHelper< ArrayTypeT >::ValueType

Definition at line 53 of file vtkGenericDataArrayLookupHelper.h.

## Constructor & Destructor Documentation

## ◆ vtkGenericDataArrayLookupHelper()

template<class ArrayTypeT >

vtkGenericDataArrayLookupHelper< ArrayTypeT >::vtkGenericDataArrayLookupHelper | ( |  | ) |
| default

## ◆ ~vtkGenericDataArrayLookupHelper()

template<class ArrayTypeT >

vtkGenericDataArrayLookupHelper< ArrayTypeT >::~vtkGenericDataArrayLookupHelper | ( |  | ) |
| inline

Definition at line 57 of file vtkGenericDataArrayLookupHelper.h.

## Member Function Documentation

## ◆ SetArray()

template<class ArrayTypeT >

void vtkGenericDataArrayLookupHelper< ArrayTypeT >::SetArray | ( | ArrayTypeT * | array | ) |
| inline

Definition at line 59 of file vtkGenericDataArrayLookupHelper.h.

## ◆ LookupValue() [1/2]

template<class ArrayTypeT >

vtkIdType vtkGenericDataArrayLookupHelper< ArrayTypeT >::LookupValue | ( | ValueType | elem | ) |
| inline

Definition at line 68 of file vtkGenericDataArrayLookupHelper.h.

## ◆ LookupValue() [2/2]

template<class ArrayTypeT >

void vtkGenericDataArrayLookupHelper< ArrayTypeT >::LookupValue | ( | ValueType | elem,
|  | vtkIdList * | ids
| ) |  |
| inline

Definition at line 79 of file vtkGenericDataArrayLookupHelper.h.

## ◆ ClearLookup()

template<class ArrayTypeT >

void vtkGenericDataArrayLookupHelper< ArrayTypeT >::ClearLookup | ( |  | ) |
| inline

Release any allocated memory for internal data-structures.

Definition at line 98 of file vtkGenericDataArrayLookupHelper.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkGenericDataArrayLookupHelper.h